Get Access Code

This API is used to retrieve access codes associated with the specified event.
This API can be accessed by an event admin and super admin. It will return data like id, code, eventTicketTypeId, startDate, accessCodeList and many more.
To call this API, user will have to pass query param with API URL like recurringEventId and authentication key to authenticate user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.
It will return a success message if API execute successfully.

AttributeDescription
idThis contains a unique identify access code.
codeThis contains the access code, e.g. CODE10. 255 characters are allowed in Access code.
eventTicketTypeIdThis contains the ticket type for an event ticket.
startDateThis contains the start date in dd/MM/yyyy HH:mm:ss format.
endDateThis contains the end date in dd/MM/yyyy HH:mm:ss format.
recurringRelativeStartTimeAccess code starts from XX minutes before recurring event starts.
recurringRelativeEndTimeAccess code ends from XX minutes before recurring event ends
accessCodeListThis will return the list of access codes.
usesThis is the number of uses of access_code for unlimited ticket need to pass -1. Uses should be greater than zero.

Here is the possible error messages, which return if any condition fails or required data is missing for processing.

Error CodeError Description
200Ok
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030201Not Event Host.
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Query Params
int64
Defaults to 0

User pass the In-Person event id.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json